Bug 21260 - kernel module 3c509 does not recognize io and irq parameters
Summary: kernel module 3c509 does not recognize io and irq parameters
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-22 19:39 UTC by Alex Baretta
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 03:55:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a snapshot from my xterm showing what happens at insmod time... (868 bytes, text/plain)
2000-11-22 19:41 UTC, Alex Baretta
no flags Details

Description Alex Baretta 2000-11-22 19:39:02 UTC
When using modprobe or insmod to load 3c509.o in the running kernel
(standard one shipping with RH7.0) insmod reads the first parameter I pass
to the module and quits with an error message saying something
"Unrecognized parameter parm_XXXX" where XXXX is either "irq" or "io"
depending on which of the two is first on the options line for 3c509 in the
modules.conf file.

If I try to rebuild the kernel for a Pentium with the module precompiled
into it, the compiler tells me that "smp_xxx" function is undefined, and
quits the compilations. If I build the kernel for a Pentium chip with SMP
selected (although my machine has only one processor) the kernel compiles
but it hangs the machine while attempting to "mount local filesystems". If
I then press Ctrl-Alt-Del the machine begins its shutdown cycle, but once
again it hangs while "unmounting filesystems".

The only solution I found was to erase my HDs and reinstall my trusted 6.2.

Comment 1 Alex Baretta 2000-11-22 19:41:03 UTC
Created attachment 5662 [details]
a snapshot from my xterm showing what happens at insmod time...

Comment 2 Bill Nottingham 2000-11-24 05:35:37 UTC
Re: kernel build; you need to run make mrproper first


What happens if you change the options lines to:

options <module name>

instead of

options <interface>?


Note You need to log in before you can comment on or make changes to this bug.